Fontconfig error

Trying to use qt-applications in my system:

  • qnx 6.2.1 nc
  • xf86-4301-qnx6-bin.tar.gz
  • qt-x11-commercial-3.3.3

When running ./qt-config (and my qt-application):

Fontconfig error: Cannot load default config file.

and my *.qm ignored.

How to fix?

Are those two tar files untarred from the / directory?

  • xf86-4301-qnx6-bin.tar.gz untarred from / directory
  • qt-x11-commercial-3.3.3 was built in /usr/local/qt directory with all required pathes (QTDIR, PATH, LD_LIBRARY_PATH)

I think there are no config files for fontconfig-package in xf86-4301-qnx6-bin.tar.gz. However binaries fc-list, fc-cache are present in /usr/X11R6/bin

Any ideas?

Looks like your qt is screwed up. I just downloaded the qt3 from the sourceforge (same place where xf86-4301 is) and qt-config works fine for me.

Qt was built from source code by myself.
Earlier I test the same qt-package in Red Hat Linux - there are no problems with fonts.

Testing on Linux doesn’t say anything for QNX.

It’s clear to me that your QNX 6 port of QT has issues. Rather than spending time on fixing that, I would suggest you just take the precompiled old binaries from sourceforge/openqnx.

  1. What about commercial license? Does it storage in this case? :slight_smile:
  2. What about principle of porting? My application was built on “sourceforge/openqnx” too? :smiley: